Author Topic: Avidemux 2.6.1 for Mountain Lion — Pre-built available anywhere?  (Read 32282 times)

Alobar

  • Newbie
  • *
  • Posts: 3
I’m a single parent with a 50-hour-a-week job, a 7-year-old boy, and MS, so I’d be thrilled to find Avidemux 2.6.1 pre-built for my Mountain Lion MacBook Pro (as well as my old iMac that runs OS 10.6.8).  I’m also not technically proficient enough to build it myself.  Anyone know if that’s available anywhere, or whether 2.6.1 even works on OS 10.8.2?  I’ve searched the Avidemux homepage (http://fixounet.free.fr/avidemux/) and the SVN nightly builds site (http://www.avidemux.org/nightly/), but maybe I checked too soon after v. 2.6.1 was released.

Thanks for any help offered.

Alobar

  • Newbie
  • *
  • Posts: 3
Doesn't ANYONE know the answers to this?

Jan Gruuthuse

  • Hero Member
  • *****
  • Posts: 6053
Sorry, don't have that answer. Seems unofficial homebrew is only way to get avidemux 2.6 in osX? Howto build Avidemux on OSX 10.6, 10.7, or 10.8 using Homebrew The last builds for mac where from april 2010 on nightly.

styrol

  • Hero Member
  • *****
  • Posts: 533
By the way on OS X Avidemux 2.6 does not even have an audio output module.

So you might try MPEG Streamclip, which also offers lossless cutting for MPG, AVI, MP4 and DV (look at the Edit menu for cutting function). Video and audio tracks not complying to the mentioned container formats will be placed into MOV (or you have to re-encode).

MPEG Streamclip relies on the QuickTime framework. Please install the Perian QuickTime plugin to read allmost every video format.
« Last Edit: December 28, 2012, 12:47:22 PM by styrol »

timbck2

  • Newbie
  • *
  • Posts: 6
That's funny, because I've been running 2.6.0 (that I compiled myself using this script) on Mac OS X 10.8 Mountain Lion for a few months now, and it works perfectly for converting AVI files to MP4, audio and all.

mitchde

  • Jr. Member
  • **
  • Posts: 54
Yep, but it isnt funny that noone shares his prebuild binary 2.6.x .
Would be great if someone, which used that homebrew stuff to compile also UPLOAD it (zipped) to such places like uploaded, zippyshare & co

Much thanks to first uploader!


styrol

  • Hero Member
  • *****
  • Posts: 533
Sharing is not the problem, but you have to build a standalone binary before. The Homebrew or Macports way you get a binary with a lot of local dependencies.

timbck2

  • Newbie
  • *
  • Posts: 6
Yep, but it isnt funny that noone shares his prebuild binary 2.6.x .
Would be great if someone, which used that homebrew stuff to compile also UPLOAD it (zipped) to such places like uploaded, zippyshare & co

Much thanks to first uploader!

As styrol said, the build via Macports has tons of dependencies (dynamic libraries, etc.). I wouldn't know how to begin to package it up so that it would be usable by anyone else. I'll give it a shot, but I doubt it will be useful.

That said, here's the link (Mediafire): http://www.mediafire.com/?8inkim953tlcr8c. I take no responsibility if you lose data, your computer lights on fire, or your hair falls out. I hope it works for you.

Extract the zip file (using sudo) from the root directory, it will install in /usr/local-avidemux, with the binaries in bin, the dynamic libraries in lib. I believe you will also need to set the environment variable "DYLD_LIBRARY_PATH=/usr/local-avidemux/lib" in order for the binaries to find the libraries. Good luck!

lenlo

  • Newbie
  • *
  • Posts: 1
Kudos to timbck2 for sharing his prebuilt binaries of Avidemux 2.6.0!  I grabbed them and added the missing libraries + retargeted the library references + put everything in an app wrapper, so I think it should be runnable without any dependencies now.  I uploaded the resulting dmg to https://mega.co.nz/#!Vk1z0CoR!CURBeVPkkMCFcsXbCDJjnE7BAWRzb_uw07YswhKXE-Y -- feel free to try it out. Like timbck2, "I take no responsibility if you lose data, your computer lights on fire, or your hair falls out" (especially not the hair part 8)).  It works for me under Mac OS 10.8.2 and I hope it works for you too.  Cheers!
« Last Edit: March 06, 2013, 09:37:47 PM by lenlo »

mean

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 10974
There is sort of nightly build also available here :
http://avidemux.org/nightly/osx/

Mountain lion only!

kenshin3it

  • Newbie
  • *
  • Posts: 29
There is sort of nightly build also available here :
http://avidemux.org/nightly/osx/

Mountain lion only!
it works quite fine.
Only issue is x264,with same option of old version (built by me with homebrew) i obtain 70fps; with nightly linked by you (r8502) only 10fps.
Avidemux uses my two cores at 100%,maybe there is some advanced instructions(like SSE2 & Co.)that doesn't work properly.
iMac 24\" Intel Core 2 Duo@2.4GHz - OSX 10.6.1

timbck2

  • Newbie
  • *
  • Posts: 6
Kudos to timbck2 for sharing his prebuilt binaries of Avidemux 2.6.0!  I grabbed them and added the missing libraries + retargeted the library references + put everything in an app wrapper, so I think it should be runnable without any dependencies now.  I uploaded the resulting dmg to https://mega.co.nz/#!Vk1z0CoR!CURBeVPkkMCFcsXbCDJjnE7BAWRzb_uw07YswhKXE-Y -- feel free to try it out. Like timbck2, "I take no responsibility if you lose data, your computer lights on fire, or your hair falls out" (especially not the hair part 8)).  It works for me under Mac OS 10.8.2 and I hope it works for you too.  Cheers!

Thank you, lenlo - I don't know how to package binaries into an app wrapper, so thanks for taking what I posted a step further! However, it doesn't open for me - I get the following:

Code: [Select]
Process:         avidemux [1515]
Path:            /Applications/Video Tools/Avidemux.app/Contents/MacOS/Avidemux
Identifier:      fr.free.fixounet.avidemux
Version:         2.6.0
Code Type:       X86-64 (Native)
Parent Process:  launchd [156]
User ID:         501

Date/Time:       2013-03-20 14:55:54.759 -0600
OS Version:      Mac OS X 10.8.2 (12C60)
Report Version:  10

Interval Since Last Report:          42076 sec
Crashes Since Last Report:           12
Per-App Crashes Since Last Report:   2
Anonymous UUID:                      4B92E9A3-17B8-0CBA-40BD-30C3EBE89F40

Crashed Thread:  0

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000

Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
  Library not loaded: /Volumes/VOLUME/*/QtCore.framework/Versions/4/QtCore
  Referenced from: /Applications/Video Tools/Avidemux.app/Contents/Resources/avidemux/Library/Frameworks/QtGui.framework/Versions/4/QtGui
  Reason: image not found
« Last Edit: March 20, 2013, 08:56:22 PM by timbck2 »

mitchde

  • Jr. Member
  • **
  • Posts: 54
Here is an other build from mean :
quote author=mean link=topic=11897.msg62154#msg62154 date=1362331192]
Better version
http://fixounet.free.fr/2.6/Avidemux_mac64.tgz
It is a somehow normal application now
(i"m not a mac developper)
[/quote]
I have some probs with the nigthly version  (09.03., crashings) , the above runs better.

EDIT: After long time i looked in the main DL page and found even an newer build 2.6.2 ML , i will try.
http://prdownload.berlios.de/avidemux/Avidemux_2.6.2_ml_64bits.dmg
But that build crashes in the QT Core after starting that build.
Thanks for all supporting the OS X builds!
« Last Edit: March 29, 2013, 10:14:56 AM by mitchde »

mean

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 10974
2.6.3 is available for mac on the download page
Mountain lion/64 bits only

mitchde

  • Jr. Member
  • **
  • Posts: 54
Thanks!

Q: Can it be that the installed QT Versions (older QT 4, mixed with QT 5 in /Library/Frameworks) can have an negative side effect on the new builds?
I ask because me crash ( at starting, no window shown) happens in the QT part. I am not an dev but think normally the app would use first the QTlibs which comes with the app and only use parts of the (older/newer QT frameworks in / Library/Framework) if some lib would be missing in the app. But can it happen also that even all needed QT libs are with the app, the /Library/Framework/QT... can have any (crash) effect on the app?

crash infos:
OS X 10.8.3. C2D 64 Bit
Application Specific Information:

abort() called
Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib           0x00007fff90778212 __pthread_kill + 10
1   libsystem_c.dylib                0x00007fff8ad35b54 pthread_kill + 90
2   libsystem_c.dylib                0x00007fff8ad79dce abort + 143
3   QtCore                           0x0000000110bd05d5 qt_message_output(QtMsgType, char const*) + 149
4   QtCore                           0x0000000110bd078d qt_message(QtMsgType, char const*, __va_list_tag*) + 381
5   QtCore                           0x0000000110bd09ad qFatal(char const*, ...) + 141
6   QtGui                            0x0000000110f9e663 QWidgetPrivate::QWidgetPrivate(int) + 591
7   QtGui                            0x0000000110faaa50 QWidget::QWidget(QWidget*, QFlags<Qt::WindowType>) + 50
8   QtGui                            0x0000000110f0df2d QDesktopWidget::QDesktopWidget() + 35
9   QtGui                            0x0000000110f570f5 QApplication::desktop() + 53
10  QtGui                            0x0000000110f09eeb flipPoint(CGPoint const&) + 27
11  QtGui                            0x0000000110f04c6e -[QCocoaWindowDelegate windowDidMove:] + 174
12  com.apple.CoreFoundation         0x00007fff8ec00eda _CFXNotificationPost + 2554
13  com.apple.Foundation             0x00007fff8a83be26 -[NSNotificationCenter postNotificationName:object:userInfo:] + 64
14  com.apple.AppKit                 0x00007fff8d60b371 -[NSWindow _setFrameCommon:display:stashSize:] + 1973
15  com.apple.AppKit                 0x00007fff8d56242e -[NSWindow setFrameOrigin:] + 406
16  QtGui                            0x0000000109692217 QWidgetPrivate::setGeometry_sys(int, int, int, int, bool) + 887
17  QtGui                            0x000000010973e397 QWidget::resize(QSize const&) + 215
18  QtGui                            0x0000000109737c9a QWidget::setMinimumSize(int, int) + 186
19  QtGui                            0x000000010971c431 QLayout::activate() + 497
20  QtGui                            0x000000010973ac42 QWidget::adjustSize() + 66
21  avidemux                         0x00000001085f5f5c MainWindow::MainWindow(std::vector<IScriptEngine*, std::allocator<IScriptEngine*> > const&) + 3132
22  avidemux                         0x00000001085f7b76 initGUI(std::vector<IScriptEngine*, std::allocator<IScriptEngine*> > const&) + 38
23  avidemux                         0x00000001085d0600 startAvidemux(int, char**) + 976
24  avidemux                         0x00000001085d0108 main + 40
25  libdyld.dylib                    0x00007fff8e74f7e1 start + 1


I looked in the log about used / referenced (loaded) frameworks which are not within the App and used from /Library/Frameworks/Qtxxx:


 0x1107bc000 -        0x110805fff +libADM_script_qt.dylib (0) <2B4019A0-9FA6-3557-8281-9B225C7EB721> /Applications/VIDEO/Avidemux2.6.app/Contents/Resources/lib/ADM_plugins6/scriptEngines/libADM_script_qt.dylib
       0x110838000 -        0x110a09ff7 +QtScript (4.8 ) <128AB287-FB7A-3905-AE79-761332ACB98F> /Library/Frameworks/QtScript.framework/Versions/4/QtScript
       0x110ab9000 -        0x110b67fe7 +QtScriptTools (4.8 ) <3D132D69-24DE-344A-B081-A56A6AE4EE1E> /Library/Frameworks/QtScriptTools.framework/Versions/4/QtScriptTools
       0x110bb7000 -        0x110e58fff +QtCore (4.8 ) <FCA595BB-D66F-33B6-BB18-A2D383AD9E78> /Library/Frameworks/QtCore.framework/Versions/4/QtCore
       0x110ed5000 -        0x111891fe7 +QtGui (4.8 ) <CAEAEA4A-529E-3149-9609-71D0BAF90041> Library/Frameworks/QtGui.framework/Versions/4/QtGui

... some more ...
  0x111dab000 -        0x111df7fff +QtSvg (4.8 ) <91CDF335-F07C-364D-B013-42023F0DF733> /Library/Frameworks/QtSvg.framework/Versions/4/QtSvg
       0x111e11000 -        0x111e54fe7 +QtXml (4.8 ) <A3107C98-64AB-3910-B3EA-2EC3EE703D5C> /Library/Frameworks/QtXml.framework/Versions/4/QtXml

.....


mean: what QT version the builder of the OSX version used ? I could try to dl the same QT and install that (over my QT 4.8 ?) .
I am unsure which QT 4.8.x version i have, i DL the actual QT 4.8.4 Mac and install it. But crash happens same (QT Core 4.8.4)
I read in the mac homebrow thread about QT 4.8.2 + QT 4.8.3 - dont know against which QT 4.8.x the uploaded newest AVIDEMUX was build.


« Last Edit: March 29, 2013, 11:15:50 AM by mitchde »